# © 2019 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class ResDepartment(models.Model):
    _description = "Départements"
    _name = "res.department"
    _order = "code"

    name = fields.Char(string="Nom", size=128, required=True)
    code = fields.Char(
        string="Numéro",
        size=3,
        required=True,
    )
    state_id = fields.Many2one(comodel_name="res.country.state", string="Région")

    _sql_constraints = [
        (
            "code_uniq",
            "unique (code)",
            "You cannot have two departments with the same code!",
        )
    ]
